{% extends 'treso/note_de_frais.html' %}
{% load static humanize mathfilters icon %}

{% block demande_ndf %}active{% endblock %}
{% block navbar_tresorerie %}{% endblock %}

{% block header %}
    <header>
        <h1>Demander une note de frais</h1>
        <div class="header-content">
            <p>
                Sur cette page vous pouvez demander une note de frais. Elle devra être validée par le bureau.
            </p>
        </div>
    </header>
{% endblock %}

{% block submissionButtons %}
    <div class="form-group col-md-10">
        <input type="button" name="generer" class="btn btn-outline-dark form-control"
               onclick="send_form('{% url 'demande_note_de_frais' %}')"
               value="Envoyer la demande pour validation" />
    </div>
{% endblock %}

{% block additionalContent %}

    <h2>Mes notes de frais</h2>
    {% for ndf in ndfs %}
        <div class="card card-lg">
            <div class="card-body">
                <div class="row">
                    <div class="col-md-8">
                        <h3 href="#{{ ndf.id }}-details" data-toggle="collapse" aria-expanded="false"
                            class="dropdown-toggle">
                            <span class="badge badge-pill
                                {% if ndf.statut == 'ATT' %}
                                badge-secondary
                                {% elif ndf.statut == 'VAL' %}
                                badge-primary
                                {% elif ndf.statut == 'REF' %}
                                badge-danger
                                {% elif ndf.statut == 'REM' %}
                                badge-success
                                {% endif %}
                                ">
                                {{ ndf.get_statut_display }}
                            </span>
                            N{{ ndf.numero }} ({{ ndf.total|floatformat:2|intcomma }} €)
                        </h3>

                        <p class="collapse" id="{{ ndf.id }}-details">
                            {% for element in ndf.elements.all %}
                                {{ element.frais }} (Montant : {{ element.montant|floatformat:2|intcomma }} €)
                                <br/>
                            {% endfor %}
                        </p>
                    </div>
                </div>
            </div>
        </div>
    {% empty %}
        <p>Vous n'avez pas de note de frais</p>
    {% endfor %}
{% endblock %}